mca_find_adapter
Prev | Chapter 3. Public Functions Provided | Next

## Name

mca_find_adapter — scan for adapters

## Synopsis

`int mca_find_adapter (` | int | id,
| int | start`)`;

## Arguments

`id`

  MCA identification to search for

`start`

  starting slot

## Description

Search the MCA configuration for adapters matching the 16bit ID given. The first time it should be called with start as zero and then further calls made passing the return value of the previous call until `MCA_NOTFOUND` is returned.

Disabled adapters are not reported.

Prev | Up | Next
Chapter 3. Public Functions Provided | Home | mca_find_unused_adapter